/* --------------------------------------------------------------------------
 * Copyright (C) 1989, 1991-2021 Free Software Foundation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See http://www.gnu.org/licenses/ for the GNU General License.
 * ---------------------------------------------------------------------------*/

# include "Global.h"

# include "header/Gawk.h"
# include "header/AssetID.h"
# include "header/HOAAnalysis.h"
# include "header/AbstractAssetInput.h"
# include "header/InflationData.h"

using namespace gawk;

using ADI = AbstractAssetInput;

bool debug = false;                                      //!< debug flag: default false
Gawk *g;                                                 //!< pointer to Gawk object

vector<InflationData> inflationdata;                     //!< inflation data

vector<AssetID*> audited_assets;                         //!< asset#:asset name/ID's for audited data
vector<AssetID*> rda_assets;                             //!< asset#:asset name/ID's for rda data
vector<AssetID*> unaudited_assets;                       //!< asset#:asset name/ID's for unaudited data
                                                         //!< reports by year
vector<ADI::YearData*>* audited_reports   = new vector<ADI::YearData*>; //!< audited budget reports by year
vector<ADI::YearData*>* rda_reports       = new vector<ADI::YearData*>;
vector<ADI::YearData*>* unaudited_reports = new vector<ADI::YearData*>; //!< unaudited budget reports by year

map<long long int, AssetID*> audited_map   = *(new map<long long int, AssetID*>); //!< Audited map of categories and assets
map<long long int, AssetID*> rda_map       = *(new map<long long int, AssetID*>); //!< RDA map of categories and assets
map<long long int, AssetID*> unaudited_map = *(new map<long long int, AssetID*>); //!< Unudited map of categories and assets
